package rubberWalls.bThreads;

import static bp.eventSets.EventSetConstants.*;
import bp.BProgram;
import bp.BThread;
import bp.eventSets.RequestableEventSet;
import bp.exceptions.BPJException;

@SuppressWarnings("serial")
public abstract class ColorChangingWall extends BThread {

	abstract RequestableEventSet blockedPoints();
	
	public int rounds;
	public int currentRoundIndex;
	
	public ColorChangingWall( int rounds )
	{
		this.rounds = rounds;
		this.currentRoundIndex = 1;
	}
	
	public void runBThread() throws BPJException 
	{	
		RequestableEventSet illegalMoves = blockedPoints();
		
		while ( true )
		{
			BProgram.labelNextVerificationState( this.currentRoundIndex );	
			BProgram.bp.bSync(none, all, illegalMoves);
		
			++this.currentRoundIndex;
		
			if ( this.currentRoundIndex > this.rounds )
			{
				this.currentRoundIndex = 1;
			}
		}
	}
}