package rubberWalls.bThreads;

import static bp.BProgram.*;
import static bp.eventSets.EventSetConstants.*;

import rubberWalls.events.Move;
import bp.BProgram;
import bp.BThread;
import bp.eventSets.RequestableEventSet;
import bp.exceptions.BPJException;

/**
 * A scenario that identifies wins by player O
 */
@SuppressWarnings("serial")
public class Particle extends BThread {
	private int x;
	private int y;
	
	public Particle()
	{
		this.x = 0;
		this.y = 0;
	}
	
	public void runBThread() throws BPJException, InterruptedException 
	{
		while ( true )
		{
			RequestableEventSet requests = new RequestableEventSet();
			RequestableEventSet allMoves = new RequestableEventSet();
	
			allMoves.add(new Move(this.x + 1, this.y));
			allMoves.add(new Move(this.x - 1, this.y));
			allMoves.add(new Move(this.x, this.y + 1));
			allMoves.add(new Move(this.x, this.y - 1));
			requests.add( allMoves );
			
			labelNextVerificationState( "(" + this.x + ", " + this.y + ")");
			
			BProgram.bp.bSync(requests, none, none);
		
			Move move = (Move)BProgram.bp.lastEvent;
			
			this.x = move.x;
			this.y = move.y;
			
			//Thread.sleep(100);
			
			//System.out.println( "Particle at ( " + this.x + ", " + this.y + " )" );
		}
	}
}