package rubberWalls.events;

import sun.reflect.generics.reflectiveObjects.NotImplementedException;
import bp.Event;

/**
 * A base class for moves (X or O) in the tic-tac-toe game.
 */
public class Move extends Event {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8751672176757869152L;
	
	public int x;
	public int y;

	public Move(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}

	/**
	 * A string to display on the board to represent the occurrence of this
	 * event.
	 */
	public String displayString() 
	{
		return "( " + this.x + ", " + this.y + ")";
	}

	/*
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!getClass().isInstance(obj)) {
			return false;
		}
		Move other = (Move) obj;
		if (x != other.x) {
			return false;
		}
		if (y != other.y) {
			return false;
		}
		return true;
	}

}
