package rubberWalls.externalApp;

import rubberWalls.Properties.DetectIllegalMoves;
import rubberWalls.Properties.ParticleChecker;
import rubberWalls.bThreads.*;
import bApplication.BApplication;
import bp.BProgram;

public class RubberWalls implements BApplication {
	
	static public void main(String arg[]) {
		try {

			BProgram.startBApplication(RubberWalls.class, "rubberWalls");

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void runBApplication() {

		BProgram.bp.add( new Particle(), 1.0);
//		BProgram.bp.add( new AllMovements(), 1.0);

		BProgram.bp.add( new RightWall(), 2.1 );
		BProgram.bp.add( new LeftWall(), 2.2 );
		BProgram.bp.add( new UpWall(), 2.3 );
		BProgram.bp.add( new DownWall(), 2.4 );
		
//		BProgram.bp.add( new RightRubberWall(), 2.5 );
//		BProgram.bp.add( new LeftRubberWall(), 2.6 );
//		BProgram.bp.add( new UpRubberWall(), 2.7 );
//		BProgram.bp.add( new DownRubberWall(), 2.8 );
		
//		BProgram.bp.add( new DetectIllegalMoves(), 3.0 );
		BProgram.bp.add( new ParticleChecker(), 3.0 );
		
		BProgram.bp.startAll();
	}

}
